# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           sagator-libclamav
Version:        1.2.1
Release:        1%{?dist}
Summary:        ClamAV module for python, created for SAGATOR project

Group:          Development/Libraries
License:        LGPL
URL:            http://www.salstar.sk/sagator/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %_vendor == "suse"
Requires:       clamav >= 0.90.1
BuildRequires:  python-devel, pyrex, clamav, c_compiler
%else
Requires:       clamav-lib >= 0.90.1
BuildRequires:  python-devel, Pyrex, clamav-devel
%endif

%description
This is a ClamAV native support for python via libclamav for SAGATOR,
but may be used for any python script.
Script "example.py" is a part of this package.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install \
  -O1 --skip-build --prefix %{_prefix} --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README example.py
%{python_sitearch}/*


%changelog
* Wed Sep 06 2006 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk>
- package separated from sagator's main package
